Subject: Re: insert-file-contents can corrupt buffers. [Was: bug#50946: Emacs-28: Inadequate coding in hack-elisp-shorthands]

From: João Távora <[email-masked]>
Date: Sun, 3 Oct 2021 17:02:04 +0100

On Sun, Oct 3, 2021 at 4:56 PM Eli Zaretskii <[email-masked]> wrote:

> Why "icky"?  The whole load-with-code-conversion stuff is defined
> there, so that's a natural place for any things that need to be done
> during loading, IMO.

"_Slightly_ icky", because that file is supposed to be about coding systems
and internationalisms, at least so I presumed.  So coupling it to a concept
such as shorthands (which is defined after) is _slightly_ icky. But not
the end of the world.

> > A bigger problem is that hack-local-variables--find-variables isn't
> > defined at that point and the function will then be used to load
> > lisp/files.el itself (which happens to be where h-l-v--f-v is defined).
>
> You are talking about loadup?  We can easily condition the call by
> that function's being fboundp, no?  Preloaded files, at least those
> loaded before file.el, should not use shorthands, so bypassing the
> call should not produce any problems.  Am I missing something?

No, fboundp also works, probably.  Do you prefer that to a hook?
A hook is, in theory, more powerful.

João